Edits
Get a video edit
An edit’s status, its editor link once ready and its MP4 once exported. Requires scope videos:read.
GET
/
edits
/
{uid}
Get a video edit
curl --request GET \
--url https://api.smartlyq.com/v1/edits/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smartlyq.com/v1/edits/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.smartlyq.com/v1/edits/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"edit_uid": "4f1c9a2e7b3d4c5e8f9a0b1c2d3e4f5a",
"title": "Product launch",
"status": "ready",
"stage": "",
"progress": 100,
"language": "auto",
"duration_ms": 184000,
"width": 1920,
"height": 1080,
"settings": {
"captions": true,
"caption_style": "word-pop",
"caption_position": "bottom",
"magic_zooms": true,
"magic_broll": true,
"broll_percentage": 40,
"remove_silence": "natural",
"remove_fillers": true,
"clean_audio": false
},
"auto_export": false,
"editor_url": "https://app.smartlyq.com/edit/9d2b7c4e1f0a3b5c6d7e8f9a0b1c2d3e",
"output_url": null,
"export_minutes": 0,
"error": "",
"error_code": "",
"webhook_url": "https://example.com/hooks/smartlyq",
"created_at": "2026-10-07 09:41:22",
"updated_at": "2026-10-07 09:44:05"
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-10-07T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Missing or malformed Authorization header",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "INSUFFICIENT_SCOPE",
"message": "API key lacks required scope: social:write",
"details": {
"required_scope": "social:write"
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Post not found.",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}⌘I
Get a video edit

